Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:   	DVD authoring system	
Name:      	DVDStyler
Version:   	1.5.1
Release:   	1
License: 	GPL
Url:		http://dvdstyler.sourceforge.net	
Group:     	Video 
Source0: 	%{name}-%{version}_2.tar.gz
#Patch0:		dvdstyler-pixmaps.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel
BuildRequires:  ORBit2-devel
BuildRequires:  libart_lgpl
BuildRequires:  atk-devel
BuildRequires:  libbonobo-devel
BuildRequires:  libbonoboui-devel
BuildRequires:  cairo-devel
BuildRequires:	GConf-devel
BuildRequires:  dvdauthor
BuildRequires: 	libgnome-devel 
BuildRequires:  gnome-keyring-devel
BuildRequires:  libgnomecanvas-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  gnome-vfs
BuildRequires:  gtk2+-devel
BuildRequires:  glib-devel
BuildRequires:  libjpeg-devel
BuildRequires:  popt
BuildRequires:  pango-devel
BuildRequires:  libstdc++-devel
BuildRequires:  wxGTK-devel
BuildRequires:	wxsvg-devel
BuildRequires:  libxml2-devel
BuildRequires:  zlib-devel
BuildRequires:	mpgtx

%description
DVDStyler is a cross-platform DVD authoring System. 


%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}_2
#%patch0 -p1

%build
./configure --prefix=%_prefix  --mandir=%_mandir -disable-debug
make

%install
rm -rf $RPM_BUILD_ROOT 

make install DESTDIR=$RPM_BUILD_ROOT

# install desktop integration file
#mkdir -p $RPM_BUILD_ROOT/usr/share/applications
#mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
#cp install.win32/dvdstyler.desktop $RPM_BUILD_ROOT/usr/share/applications
#cp src/rc/dvdstyler.png	$RPM_BUILD_ROOT/usr/share/pixmaps

%files
%defattr(-,root,root)
%_bindir
%_datadir


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Oct 14 2007 Christian Metzen <metzench@ccux-linux.de> 1.5.1-1
- Version update
* Wed Aug 02 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.5b5-1
- Initial Release
